# session.hpp File Reference

`#include <list>`
`#include <set>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/detail/preferences.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Classes
class | saga::session
| Almost all SAGA objects are created in a SAGA session, and are associated with this (and only this) session for their whole life time. More...